Zum Inhalt springen
Leadtime
Deutsch
Esc
navigateopen⌘Jpreview

Add external calendar feed for employee

POST/employees/{id}/external-calendar-feeds
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Query parameters
fieldsToReturnstring
Comma-separated list of top-level response fields to return. Overrides the endpoint compact default unless responseShape=full is used.
responseShapestring
Advanced override. Omit for the endpoint compact default. Use full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
Allowed:compactfull
Header parameters
LT-Response-Shapestring
Advanced override. Set to full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
Allowed:full
Request body
requiredapplication/json
enabledboolean
labelstring
sourceUrlstringrequired
HTTPS iCalendar (.ics) URL from the external provider.
Responses
200
createdAtstringrequired
editedAtstringrequired
enabledbooleanrequired
idstringrequired
labelstring
lastErrorobject | null
lastFetchedAtobject | null
sourceUrlstringrequired
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X POST "https://leadtime.app/api/public/employees/string/external-calendar-feeds" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "enabled": true,
  "label": "string",
  "sourceUrl": "string"
}'
Response
{
  "createdAt": "string",
  "editedAt": "string",
  "enabled": true,
  "id": "string",
  "label": "string",
  "lastError": {},
  "lastFetchedAt": {},
  "sourceUrl": "string"
}